package com.caimei365.order.controller;

import com.caimei365.order.model.ResponseJson;
import com.caimei365.order.service.OrderRefundService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author zzj
 */
@Api(tags = "子订单退款API")
@RestController
@RequiredArgsConstructor
@RequestMapping("/order/refund")
public class OrderRefundApi {

    private final OrderRefundService orderRefundService;

    @ApiOperation("子订单退款")
    @ApiImplicitParam(required = true, name = "shopOrderId", value = "子订单id")
    @GetMapping("/shopOrder")
    public ResponseJson refundShopOrder(Integer shopOrderId) throws Exception {
        if (null == shopOrderId) {
            return ResponseJson.error("子订单id不能为空！", null);
        }
        return orderRefundService.refundShopOrder(shopOrderId);
    }


}
