package com.caimei365.order.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/11
 */
@FeignClient("CAIMEI365-CLOUD-COMMODITY")
public interface CommodityFeign {
    /**
     * 更新商品销量
     * @param productInfo [ // 商品id，数量
     *                   {"productId": 2789, "productCount": 1},
     *                   {"productId": 2790, "productCount": 2}
     *                 ]
     */
    @PostMapping("/commodity/price/sales/update")
    String productSaleUpdate(@RequestParam String productInfo);
}
