package com.caimei365.order.mapper;

import com.caimei365.order.model.vo.PushMessageUserVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/15
 */
@Mapper
public interface MessagePushMapper {
    /**
     * 查询短链接是否存在
     */
    Integer findIdByShortLink(String shortLink);
    /**
     * 保存短链接信息
     *
     * @param markId    短信类型
     * @param shortLink 短链接
     * @param url       跳转地址
     */
    void insertShortLink(int markId, String shortLink, String url);
    /**
     * 保存短信发送条数+count
     *
     * @param markId 短信类型
     * @param count  增加条数
     */
    void updateSmsSendCount(int markId, int count);

    List<PushMessageUserVo> findOldUser();

    List<PushMessageUserVo> findOldUserTow();

    void insertNewLink(PushMessageUserVo p);
}
