package com.caimei365.order.mapper;

import com.caimei365.order.model.po.CouponRecordPo;
import com.caimei365.order.model.po.OrderReceiptRelationPo;
import com.caimei365.order.model.po.UserBeansHistoryPo;
import com.caimei365.order.model.vo.CmRefundRecord;
import com.caimei365.order.model.vo.CmReturnedPurchase;
import com.caimei365.order.model.vo.OrderVo;
import com.caimei365.order.model.vo.UserVo;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author zzj
 */
@Mapper
public interface OrderRefundMapper {

    List<OrderReceiptRelationPo> findPayWays(Integer shopOrderId);

    OrderVo findOrder(Integer shopOrderId);

    void updateSecondProduct(Integer shopOrderId);

    void insertCmRefundRecord(CmRefundRecord cmRefundRecord);

    String findSplitCodeEmail(String splitCode);

    UserVo findUser(Integer userId);

    Integer findByBeansType(Integer orderId);

    UserBeansHistoryPo findLowOrder(Integer orderId);

    void updateShopOrder(Integer shopOrderId);

    void updateUser(UserVo user);

    List<CmReturnedPurchase> findRefundShopOrder();

    CmReturnedPurchase findReturnd(Integer id);

    void insertReturns(CmReturnedPurchase returns);

    List<Integer> findReturnShops(Integer id);

    void updateReturn(Integer shopOrderId, Integer id);

    void updateReturnMoney(CmReturnedPurchase cmReturnedPurchase);

    void insertReturnProduct(Integer id, Integer shopOrderId,Integer sendCount);

    Integer findShopOrderRefundCount(Integer orderId);

    void updateOrderRefund(Integer orderId, Integer refundType);

    void insertTransfer(BigDecimal money, String orderRequestNo, Integer shopOrderId);

    OrderReceiptRelationPo findOrderRelationByNo(String orderRequestNo);

    Integer findSendOut(Integer shopOrderId);

    CouponRecordPo getCouponRecord(Integer couponClubId);

    void insertCouponClub(CouponRecordPo couponClub);
}
