package com.caimei365.order.model.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/30
 */
@Data
public class PayParamBo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 用户Id
     */
    private Integer userId;
    /**
     * 订单Id
     */
    private Integer orderId;
    /**
     * 二手发布商品id
     */
    private Integer productId;
    /**
     * 会员购买记录Id
     */
    private Integer vipRecordId;
    /**
     * 优惠券购买记录id
     */
    private Integer couponRecordId;
    /**
     * 会员套餐id
     */
    private Integer vipId;
    /**
     * 支付金额，单位分，必须大于2
     */
    private Integer payAmount;
    /**
     * 支付方式，
     * 银联：UNIONPAY，
     * 微信：WEIXIN，
     * 支付宝：ALIPAY，
     * 银联转账：TRANSFER
     */
    private String payWay;
    /**
     * 支付类型(现阶段主要是区分微信支付)
     * 微信小程序支付: MINIAPP_WEIXIN
     * 微信公众号支付: JSAPI_WEIXIN
     */
    private String payType;
    /**
     * 微信小程序code,微信小程序支付使用
     */
    private String code;
    /**
     * 微信公众号state参数
     */
    private String state;
    /**
     * 页面回调地址
     */
    private String returnUrl;
    /**
     * 微信openId
     */
    private String openId;
    /**
     * 异步通知回调
     */
    private String notifyUrl;
    /**
     * 银行编码(银联支付使用)
     */
    private String bankCode;
    /**
     * 用户类型(银联支付使用)
     * 企业：ENTERPRISE
     * 个人：USER
     */
    private String userType;
    /**
     * 购买优惠券id
     */
    private Integer couponId;
    /**
     *  1小程序 2网站
     */
    @ApiModelProperty("领取渠道1小程序 2网站")
    private Integer source;
}
