package com.caimei365.order.model.bo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/16
 */
@Data
public class ReceiptParamsBo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 款项id
     */
    private Integer id;
    /**
     * 收款款项类型：1订单款，2非订单款，3返佣款
     */
    private Integer receiptType;
    /**
     * 短信内容Md5加密串
     */
    private String smsMd5Code;
    /**
     * 用户id集合
     */
    private List<Integer> userIds;
    /**
     * 收款状态列表：1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销【线上支付成功为审核通过】
     */
    private String[] receiptStatusArr;
    /**
     * 筛选开始时间
     */
    private String startDate;
    /**
     * 筛选结束时间
     */
    private String endDate;
    /**
     * 订单Id
     */
    private Integer orderId;
    private Integer excludeOrderId;
    /**
     * 子订单Id
     */
    private Integer shopOrderId;
    /**
     * 订单类型：0商品订单(默认)，1订金订单
     */
    private Integer orderType;
    /**
     * 订单状态集合
     */
    private List<Integer> orderStatusList;
    /**
     * 客户名称
     */
    private String userName;
    /**
     * 组织Id
     */
    private Integer organizeId;
    /**
     * 关联订单类型
     */
    private Integer newReceiptType;

}
