package com.caimei365.order.model.bo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/12
 */
@Data
public class VipRecordBo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 记录Id
     */
    private Integer id;
    /**
     * 用户Id
     */
    private Integer userId;
    /**
     * Vip套餐Id
     */
    private Integer packageId;
    /**
     * 开始时间
     */
    private Date beginTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 支付状态 0 未付款 1 已付款
     */
    private Integer payStatus;
    /**
     * 用户付款方式：1线上，2线下，3余额抵扣，4采美豆抵扣
     */
    private Integer payWay;
    /**
     * 付款类型：1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、6中信银行0897-支付宝、7线上-支付宝、8线上-微信支付、9线上-快钱支付、10口头返佣、11广发银行5461、12PC-B2B网银、13PC-微信支付、14PC-支付宝、15小程序-微信支付、16余额抵扣、17PC-B2C网银',
     */
    private Integer payType;
    /**
     * 支付金额
     */
    private Double price;
    /**
     * 支付时间
     */
    private Date payTime;
}
