package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/6/28
 */
@Data
public class CartDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Integer userId;
    /**
     * skuId
     */
    @ApiModelProperty("skuId")
    private Integer skuId;
    /**
     * 商品id
     */
    @ApiModelProperty("商品id")
    private Integer productId;
    /**
     * 地址市Id
     */
    @ApiModelProperty("地址Id")
    private Integer cityId;
    /**
     * 商品数量
     */
    @ApiModelProperty("商品数量")
    private Integer productCount;
    /**
     * skuIds
     */
    @ApiModelProperty("skuIds，删除购物车用，逗号分隔")
    private String skuIds;
    /**
     * 来源 : 1 网站 ; 2 小程序
     */
    @ApiModelProperty("来源 : 1 网站 ; 2 小程序")
    private Integer source;
    /**
     * 商品及数量(批量加入用)：[   // 商品id，数量
     *                        {"productId": 2789,  "skuId":123, "productCount": 1},
     *                        {"productId": 2790,  "skuId":123, "productCount": 1}
     *                     ]
     */
    @ApiModelProperty("商品及数量(批量加入用)")
    private String productInfo;
}
