package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class PayCouponDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 购买优惠券Id
     */
    @ApiModelProperty("购买优惠券Id")
    private Integer couponId;
    /**
     * userId
     */
    @ApiModelProperty("userId")
    private Integer userId;
    /**
     * 购买记录id
     */
    @ApiModelProperty("购买记录id")
    private Integer couponRecordId;
    /**
     * 页面回调地址
     */
    @ApiModelProperty("页面回调地址")
    private String returnUrl;
    /**
     * 微信小程序code,微信小程序支付使用
     */
    @ApiModelProperty("微信小程序code")
    private String code;
    /**
     * 微信公众号state参数
     */
    @ApiModelProperty("微信公众号state参数")
    private String state;
    /**
     * 银行编码(银联支付使用)
     */
    @ApiModelProperty("银行编码(银联支付使用)")
    private String bankCode;
    /**
     * 用户类型(银联支付使用)
     * 企业：ENTERPRISE
     * 个人：USER
     */
    @ApiModelProperty("用户类型(银联支付使用)企业:ENTERPRISE，个人:USER")
    private String userType;

    /**
     *  1小程序 2网站
     */
    @ApiModelProperty("领取渠道1小程序 2网站")
    private Integer source;
}
