package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/30
 */
@Data
public class PaySecondDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 二手发布商品id
     */
    @ApiModelProperty("二手发布商品id")
    private Integer productId;
    /**
     * 页面回调地址
     */
    @ApiModelProperty("页面回调地址")
    private String returnUrl;
    /**
     * 微信小程序code,微信小程序支付使用
     */
    @ApiModelProperty("微信小程序code")
    private String code;
    /**
     * 微信公众号state参数
     */
    @ApiModelProperty("微信公众号state参数")
    private String state;
    /**
     * 银行编码(银联支付使用)
     */
    @ApiModelProperty("银行编码(银联支付使用)")
    private String bankCode;
    /**
     * 用户类型(银联支付使用)
     * 企业：ENTERPRISE
     * 个人：USER
     */
    @ApiModelProperty("用户类型(银联支付使用)企业:ENTERPRISE，个人:USER")
    private String userType;

    @ApiModelProperty("支付类型 微信:WXPAY  支付宝:ALIPAY 公众号:AppPayPublic 小程序：AppPayApplet 银联:PUBLIC")
    private String payType;
}
