package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/11
 */
@ApiModel("款项")
@Data
public class ReceiptDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 收款Id
     */
    @ApiModelProperty("收款Id")
    private Integer id;
    /**
     * 收款短信
     */
    @ApiModelProperty("收款短信")
    private String smsContent;
    /**
     * 短信内容Md5加密串（适用于二次短信匹配查询）
     */
    @ApiModelProperty("短信内容Md5加密串")
    private String smsMd5Code;
    /**
     * 用户付款方式：1线上，2线下，3余额抵扣
     */
    @ApiModelProperty("付款方式")
    private Integer payWay;
    /**
     * 付款类型：1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、6中信银行0897-支付宝、7线上-支付宝、
     * 8线上-微信支付、9线上-快钱支付、10口头返佣、11广发银行5461、12PC-B2B网银、13PC-微信支付、14PC-支付宝、15小程序-微信支付、16余额抵扣、17PC-B2C网银
     */
    @ApiModelProperty("付款类型")
    private Integer payType;
    /**
     * 收款款项类型
     */
    @ApiModelProperty("收款款项类型：1订单款，2非订单款，3返佣款 4订单款或者非订单款（因财务阶段无法区分订单非订单）, 5供应商退款")
    private Integer receiptType;
    /**
     * 收款状态
     */
    @ApiModelProperty("收款状态：1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销【线上支付成功为审核通过】")
    private Integer receiptStatus;
    /**
     * 收款时间
     */
    @ApiModelProperty("收款时间")
    private String receiptDate;
    /**
     * 收款金额（线上一次性付款和支付金额一致）
     */
    @ApiModelProperty("收款金额")
    private Double receiptAmount;
    /**
     * 手续费
     */
    @ApiModelProperty("手续费")
    private Double handlingFee;
    /**
     * 订单标识
     */
    @ApiModelProperty("订单标识")
    private Integer orderFlag;
    /**
     * 非订单款说明(适用协销确认的时候区分订单和非订单款)
     */
    @ApiModelProperty("非订单款说明")
    private String noOrderReason;
}
