package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/25
 */
@ApiModel("款项操作")
@Data
public class ReceiptOperateDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 收款Id
     */
    @ApiModelProperty("收款Id")
    private Integer id;
    /**
     * 作废标记
     */
    @ApiModelProperty("作废标记: 0否，其余是")
    private Integer delFlag;
    /**
     * 非订单款说明(适用协销确认的时候区分订单和非订单款)
     */
    @ApiModelProperty("非订单款说明")
    private String noOrderReason;
    /**
     * 收款款项类型
     */
    @ApiModelProperty("收款款项类型：1订单款，2非订单款，3返佣款 4订单款或者非订单款（因财务阶段无法区分订单非订单）, 5供应商退款")
    private Integer receiptType;
    /**
     * 收款状态
     */
    @ApiModelProperty("收款状态：1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销【线上支付成功为审核通过】")
    private Integer receiptStatus;
    /**
     * 确认订单类型：1小额抹平确认，2大额抹平确认，3大额退款余额，4确认关联
     */
    @ApiModelProperty("确认订单类型：1小额抹平确认，2大额抹平确认，3大额退款余额，4确认关联")
    private Integer confirmType;
    /**
     * 关联订单IDS
     */
    @ApiModelProperty("关联子订单IDS")
    private String orderIds;
    /**
     * 关联供应商退款子订单ID
     */
    @ApiModelProperty("关联供应商退款子订单ID")
    private Integer shopOrderId;
    /**
     * 关联供应商退款子订单ID
     */
    @ApiModelProperty("关联返佣子订单IDs")
    private String shopOrderIds;
    /**
     * 返佣关联备注
     */
    @ApiModelProperty("关联返佣备注")
    private String rebateRemarks;
    /**
     * 审核不通过原因
     */
    @ApiModelProperty("审核不通过原因")
    private String reviewReason;
    /**
     * 口头返佣佣金
     */
    @ApiModelProperty("口头返佣佣金")
    private Double verbalAmount;
    /**
     * 收款款项二级类别
     */
    @ApiModelProperty("收款款项二级类别1.上架费2.订单返佣3.认证通会员4.认证通企划5.其他")
    private Integer newReceiptType;
    /**
     * 关联供应ID
     */
    @ApiModelProperty("关联供应商ID")
    private Integer shopId;
    /**
     * 关联供应商id
     */
    @ApiModelProperty("关联供应商name")
    private String shopName;

}
