package com.caimei365.order.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/6/28
 */
@Data
public class SellerCartDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer skuId;
    /**
     * 协销购物车id
     */
    @ApiModelProperty("协销购物车id")
    private Integer id;
    /**
     * 协销id
     */
    @ApiModelProperty("协销id")
    private Integer serviceProviderId;
    /**
     * 机构id
     */
    @ApiModelProperty("机构id")
    private Integer clubId;
    /**
     * 商品类型：1单一商品，2组合商品
     */
    @ApiModelProperty("商品类型：1单一商品，2组合商品")
    private Integer type;
    /**
     * 单一商品id
     */
    @ApiModelProperty("单一商品id")
    private Integer productId;
    /**
     * 商品数量
     */
    @ApiModelProperty("单一商品数量")
    private Integer productCount;
    /**
     * 组合商品信息：Json字符串格式[{id:4351,count:1},{}]
     */
    @ApiModelProperty("组合商品信息：Json字符串格式[{skuId:4351,count:1},{}]")
    private String productInfo;
    /**
     * 商品ids
     */
    @ApiModelProperty("购物车ids，删除购物车用，逗号分隔")
    private String cartIds;

    private Integer oldSkuId;

    private Integer newSkuId;
}
