package com.caimei365.order.model.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/6/19
 */
@Data
public class SettlementDto {
    /**
     * 子订单编号
     */
    @ExcelProperty(value = "子订单编号", index = 0)
    private String shopOrderNo;
    /**
     * 订单提交时间
     */
    @ExcelProperty(value = "订单提交时间", index = 1)
    private String orderTime;
    /**
     * 用户名称
     */
    @ExcelProperty(value = "用户名称", index = 2)
    private String name;
    /**
     * 商品信息
     */
    @ExcelProperty(value = "商品信息", index = 3)
    private String productInfo;
    /**
     * 订单金额
     */
    @ExcelProperty(value = "订单金额", index = 4)
    private Double totalAmount;
    /**
     * 退款状态 1无退款、3有退款
     */
    @ExcelProperty(value = "退款状态", index = 5)
    private String refundStatus;
    /**
     * 退款金额
     */
    @ExcelProperty(value = "退款金额", index = 6)
    private Double refundAmount;
    /**
     * 支付手续费
     */
    @ExcelProperty(value = "支付手续费", index = 7)
    private Double paymentCommission;
    /**
     * 分帐手续费
     */
    @ExcelProperty(value = "分帐手续费", index = 8)
    private Double prorateCommission;
    /**
     * (付款供应商)付款状态：1待付款、2部分付款、3已付款
     */
    @ExcelProperty(value = "结算状态", index = 9)
    private String payStatus;
    /**
     * 付供应商 = 商品费 + 运费 + 税费
     */
    @ExcelProperty(value = "总结算金额", index = 10)
    private Double shouldPayShopAmount;
    /**
     * 已付款金额
     */
    @ExcelProperty(value = "已结算金额", index = 11)
    private Double settleAmount;
    /**
     * 未结算金额
     */
    @ExcelProperty(value = "未结算金额", index = 12)
    private Double unsettledAmount;
}
