package com.caimei365.order.model.enums;

public enum BizType {

    // 支付宝H5 return "14";
    // 微信公众号支付 return "13";
    // 微信小程序支付 return "15";
    // 企业网银  return "12";
    // 个人网银 "17";

    //    YL("YL", "AppPayPublic", "PUBLIC", "17"), //银联
    B2B("B2B", "", "", "12"),//企业网银
    B2C("B2C", "", "", "17"),//个人
    XCX("XCX", "AppPayApplet", "APPLET", "15"),//小程序
    GZH("GZH", "AppPayPublic", "PUBLIC", "13"),//公众号
    ZFBEWM("ZFBEWM", "AppPay", "SCAN", "14"),//支付宝二维码
    //pc二维码跟公众号一样13
    WXEWM("WXEWM", "AppPay", "SCAN", "13"),//微信二维码
    QUICK("QUICK", "QuickPayFirstPayPreOrder", "", "29")//快捷支付
    ;

    BizType(String type, String p1, String p4, String num) {
        this.type = type;
        this.p1 = p1;
        this.p4 = p4;
        this.num = num;
    }

    public static String getP1ByType(String type) {
        BizType[] BizType = values();
        for (BizType bizType : BizType) {
            if (type.equals(bizType.type)) {
                return bizType.p1;
            }
        }
        return null;
    }

    public static String getP4ByType(String type) {
        BizType[] BizType = values();
        for (BizType bizType : BizType) {
            if (type.equals(bizType.type)) {
                return bizType.p4;
            }
        }
        return null;
    }

    public static String getNumByType(String type) {
        BizType[] BizType = values();
        for (BizType bizType : BizType) {
            if (type.equals(bizType.type)) {
                return bizType.num;
            }
        }
        return null;
    }

    private String type;
    private String p1;
    private String p4;
    private String num;

    public String getP1() {
        return p1;
    }

    public String getP4() {
        return p4;
    }

    public String getNum() {
        return num;
    }

    public String getType() {
        return type;
    }
}
