package com.caimei365.order.model.enums;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/17
 */
public enum ReceiptStatus {
    /**
     * 收款状态：1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销【订单款项状态:12345】【非订单款项状态:125】【返佣款状态:125】【线上支付成功为审核通过】
     */
    DAIQUEREN(1, "待确认"),
    YIQUEREN(2, "已确认(待审核)"),
    SHENGHETONGGUO(3, "审核通过"),
    SHENGHEWEITONGGUO(4, "审核未通过"),
    SHOUKUANCHEXIAO(5, "收款撤销");

    private final int code;
    private final String desc;

    public static String getTypeDesc(Integer code, Integer receiptType) {
        for (ReceiptStatus type : ReceiptStatus.values()) {
            if (type.getCode() == code) {
                boolean flag = code == YIQUEREN.getCode() && (receiptType == ReceiptType.FEIDINGDAN.getCode() || receiptType == ReceiptType.FANYONG.getCode() || receiptType == ReceiptType.SHOPREFUND.getCode());
                if (flag) {
                    return "已确认";
                }
                return type.desc;
            }
        }
        return "";
    }

    public int getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    ReceiptStatus(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
