package com.caimei365.order.model.enums;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/17
 */
public enum ReceiptType {
    /**
     * 收款款项类型：1订单款，2非订单款，3返佣款
     */
    DINGDAN(1, "订单款"),
    FEIDINGDAN(2, "非订单款"),
    FANYONG(3, "返佣款"),
    SHOPREFUND(5, "供应商退款");

    private final int code;
    private final String desc;

    public int getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    ReceiptType(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static String getTypeDesc(int code) {
        for (ReceiptType type : ReceiptType.values()) {
            if (type.getCode() == code) {
                return type.desc;
            }
        }
        return "";
    }
}
