package com.caimei365.order.model.enums;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/21
 */
public enum ReceivablesType {
    /**
     * 枚举值定义
     */
    JIANSHE(1, "建设银行-7297"),
    GUANGFA(2, "广发银行-0115"),
    ZHONGXING_1(3, "中信银行-7172"),
    ZHONGXING_2(4, "中信银行-0897"),
    ZHONGXING_2_1(5, "中信银行-0897-财付通"),
    ZHONGXING_2_2(6, "中信银行-0897-支付宝"),
    XIANSHANG_ZFB(7, "线上-支付宝"),
    XIANSHANG_WX(8, "线上-微信支付"),
    XIANSHANG_KUAIQIAN(9, "线上-快钱支付"),
    KOUTOUFANYONG(10, "口头返佣"),
    GUANGFA_1(11, "广发银行-5461"),
    WANGYIN(12, "企业网银"),
    PCWX(13, "微信支付"),
    ZHIFUBAO(14, "支付宝"),
    MINIWX(15, "微信支付"),
    YUEDIKO(16, "余额抵扣"),
    GERENWANGYIN(17,"个人网银"),
    JIANSHE_1(18,"建设银行-1854"),
    JIANSHE_2(19,"建设银行-6256"),
    YLZZ(20,"大额银联转账");

    private final int code;
    private final String desc;

    ReceivablesType(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    /**
     * 根据code获取枚举值
     * @param code code
     * @return desc
     */
    public static String getReceivablesType(int code) {
        for (ReceivablesType type : ReceivablesType.values()) {
            if (type.code == code) {
                return type.desc;
            }
        }
        return "";
    }
}
