package com.caimei365.order.model.po;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 余额收支记录
 *
 * @author : Charles
 * @date : 2021/7/14
 */
@Data
public class BalanceRecordPo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 余额收支记录ID
     */
    private Integer id;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 收支类型：1收入，2支出
     */
    private Integer type;
    /**
     * 余额类型：1线下余额抵扣，2多收退款到余额，3申请退款,4余额充值，5余额提现,6订金订单充值,7余额订单充值,8订金订单退款,9余额订单退款
     */
    private Integer balanceType;
    /**
     * 添加时间
     */
    private Date addDate;
    /**
     * 金额
     */
    private Double amount;
    /**
     * 主订单ID（适用余额类型1,3[类型为3多次退款存在相同记录ID则需通过退款ID唯一区分]）
     */
    private Integer orderId;

    private Integer shopOrderId;
    /**
     * 收款ID（适用余额类型2）
     */
    private Integer receiptId;
    /**
     * 退货退款ID
     */
    private Integer returnedId;
    /**
     * 备注
     */
    private String remark;
    /**
     * 删除标记 0 否，其余是
     */
    private Integer delFlag;
}
