package com.caimei365.order.model.po;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.io.Serializable;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;
/**
 * 机构报备对象 cm_reporting_club
 *
 * @author Kaick
 * @date 2023-10-12
 */
@Accessors(fluent  = true )
@Data
@Alias("CmReportingClub")
public class CmReportingClub implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 机构名称 */
    private String clubName;

    /** 联系人 */
    private String linkMan;

    /** 手机号 */
    private String mobile;

    /** 商品id */
    private Integer productId;

    /** 订单id */
    private Integer orderId;

    /** 订单状态 ：1已成交，0未成交 */
    private Integer orderStatus;

    /** 锁定状态 ：1锁定，0未锁定 */
    private Integer lockStatus;

    /** 锁定时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lockTime;

    /** 分销报备锁定人id */
    private Integer distributionId;

    /** 删除状态 0正常，其他删除 */
    private Integer delFlag;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 商品总佣金 */
    private BigDecimal commission;

    /** 结算状态: 1已完结 ，0未完结 */
    private Integer settleStatus;

    /** 结算时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date settleTime;

    /** 已付商品总佣金 */
    private BigDecimal paidCommission;

    /** 分账结算状态: 0待确认 1待手动分账 ，2待手动结算，3已结算 */
    private Integer splitSettleStatus;

    /** 分账结算时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date splitSsettleTime;

    /** 分账号 */
    private String splitCode;

    public void setId(String  id)
    {
        this.id = id;
    }

    public String  getId()
    {
        return id;
    }
    public void setClubName(String  clubName)
    {
        this.clubName = clubName;
    }

    public String  getClubName()
    {
        return clubName;
    }
    public void setLinkMan(String  linkMan)
    {
        this.linkMan = linkMan;
    }

    public String  getLinkMan()
    {
        return linkMan;
    }
    public void setMobile(String  mobile)
    {
        this.mobile = mobile;
    }

    public String  getMobile()
    {
        return mobile;
    }
    public void setProductId(Integer  productId)
    {
        this.productId = productId;
    }

    public Integer  getProductId()
    {
        return productId;
    }
    public void setOrderId(Integer  orderId)
    {
        this.orderId = orderId;
    }

    public Integer  getOrderId()
    {
        return orderId;
    }
    public void setOrderStatus(Integer  orderStatus)
    {
        this.orderStatus = orderStatus;
    }

    public Integer  getOrderStatus()
    {
        return orderStatus;
    }
    public void setLockStatus(Integer  lockStatus)
    {
        this.lockStatus = lockStatus;
    }

    public Integer  getLockStatus()
    {
        return lockStatus;
    }
    public void setLockTime(Date  lockTime)
    {
        this.lockTime = lockTime;
    }

    public Date  getLockTime()
    {
        return lockTime;
    }
    public void setDistributionId(Integer  distributionId)
    {
        this.distributionId = distributionId;
    }

    public Integer  getDistributionId()
    {
        return distributionId;
    }
    public void setDelFlag(Integer  delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer  getDelFlag()
    {
        return delFlag;
    }
    public void setUpdateTime(Date  updateTime)
    {
        this.updateTime = updateTime;
    }

    public Date  getUpdateTime()
    {
        return updateTime;
    }
    public void setCreateTime(Date  createTime)
    {
        this.createTime = createTime;
    }

    public Date  getCreateTime()
    {
        return createTime;
    }
    public void setCommission(BigDecimal  commission)
    {
        this.commission = commission;
    }

    public BigDecimal  getCommission()
    {
        return commission;
    }
    public void setSettleStatus(Integer  settleStatus)
    {
        this.settleStatus = settleStatus;
    }

    public Integer  getSettleStatus()
    {
        return settleStatus;
    }
    public void setSettleTime(Date  settleTime)
    {
        this.settleTime = settleTime;
    }

    public Date  getSettleTime()
    {
        return settleTime;
    }
    public void setPaidCommission(BigDecimal  paidCommission)
    {
        this.paidCommission = paidCommission;
    }

    public BigDecimal  getPaidCommission()
    {
        return paidCommission;
    }
    public void setSplitSettleStatus(Integer  splitSettleStatus)
    {
        this.splitSettleStatus = splitSettleStatus;
    }

    public Integer  getSplitSettleStatus()
    {
        return splitSettleStatus;
    }
    public void setSplitSsettleTime(Date  splitSsettleTime)
    {
        this.splitSsettleTime = splitSsettleTime;
    }

    public Date  getSplitSsettleTime()
    {
        return splitSsettleTime;
    }
    public void setSplitCode(String  splitCode)
    {
        this.splitCode = splitCode;
    }

    public String  getSplitCode()
    {
        return splitCode;
    }

}

