package com.caimei365.order.model.po;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.io.Serializable;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;

/**
 * 分销报备成员对象 cm_reporting_member
 *
 * @author Kaick
 * @date 2023-10-11
 */
@Accessors(fluent  = true )
@Data
@Alias("CmReportingMember")
public class CmReportingMember implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 分销报备人id */
    private Integer distributionId;

    /** 报备机构id */
    private Integer clubReportingId;

    /** 审核状态：1待审核，2审核通过，3审核失败 */
    private Integer auditStatus;

    /** 审核备注 */
    private String auditText;

    /** 审核人用户id */
    private Integer auditBy;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;

    /** 删除状态 0正常，其他删除 */
    private Integer delFlag;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 备注 */
    private String remarks;

    /** 商品佣金 */
    private BigDecimal commission;

    /** 结算状态: 1待确认 ，2待结算 ，3已结算 */
    private Integer settleStatus;

    /** 结算时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date settleTime;

    public void setId(String  id)
    {
        this.id = id;
    }

    public String  getId()
    {
        return id;
    }
    public void setDistributionId(Integer  distributionId)
    {
        this.distributionId = distributionId;
    }

    public Integer  getDistributionId()
    {
        return distributionId;
    }
    public void setClubReportingId(Integer  clubReportingId)
    {
        this.clubReportingId = clubReportingId;
    }

    public Integer  getClubReportingId()
    {
        return clubReportingId;
    }
    public void setAuditStatus(Integer  auditStatus)
    {
        this.auditStatus = auditStatus;
    }

    public Integer  getAuditStatus()
    {
        return auditStatus;
    }
    public void setAuditText(String  auditText)
    {
        this.auditText = auditText;
    }

    public String  getAuditText()
    {
        return auditText;
    }
    public void setAuditBy(Integer  auditBy)
    {
        this.auditBy = auditBy;
    }

    public Integer  getAuditBy()
    {
        return auditBy;
    }
    public void setAuditTime(Date  auditTime)
    {
        this.auditTime = auditTime;
    }

    public Date  getAuditTime()
    {
        return auditTime;
    }
    public void setDelFlag(Integer  delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer  getDelFlag()
    {
        return delFlag;
    }
    public void setUpdateTime(Date  updateTime)
    {
        this.updateTime = updateTime;
    }

    public Date  getUpdateTime()
    {
        return updateTime;
    }
    public void setCreateTime(Date  createTime)
    {
        this.createTime = createTime;
    }

    public Date  getCreateTime()
    {
        return createTime;
    }
    public void setRemarks(String  remarks)
    {
        this.remarks = remarks;
    }

    public String  getRemarks()
    {
        return remarks;
    }
    public void setCommission(BigDecimal  commission)
    {
        this.commission = commission;
    }

    public BigDecimal  getCommission()
    {
        return commission;
    }
    public void setSettleStatus(Integer  settleStatus)
    {
        this.settleStatus = settleStatus;
    }

    public Integer  getSettleStatus()
    {
        return settleStatus;
    }
    public void setSettleTime(Date  settleTime)
    {
        this.settleTime = settleTime;
    }

    public Date  getSettleTime()
    {
        return settleTime;
    }

}

