package com.caimei365.order.model.po;

import com.caimei365.order.model.vo.LadderPriceVo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/7
 */
@Data
public class OrderProductPo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer skuId;
    /**
     * 不包含单品满减的商品金额
     */
    private Double realProductFee;
    /**
     * 商品Id
     */
    private Integer productId;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 组织Id
     */
    private Integer organizeId;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 主图
     */
    private String image;
    /**
     * 价格
     */
    private Double price;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 商品的类别：1正常商品(默认)，2二手商品
     */
    private Integer productCategory;
    /**
     * 成本价选中标志：1固定成本 2比例成
     */
    private Integer costCheckFlag;
    /**
     * 成本价
     */
    private Double costPrice;
    /**
     * 集团成本价
     */
    private Double organizeCostPrice;
    /**
     *
     */
    private Double cmCostPrice;
    /**
     * 市场价 = 商品表市场价
     */
    private Double normalPrice;
    /**
     * 比例成本百分比
     */
    private Double costProportional;
    /**
     * 启用阶梯价标志 0否 1是
     */
    private Integer ladderPriceFlag;
    /**
     * 折后单价
     */
    private Double discountPrice;
    /**
     * 折扣比例
     */
    private Double discount;
    /**
     * 总价  = price X num
     */
    private Double totalAmount;
    /**
     * 折后总价  = discountPrice X num + totalAddedValueTax
     */
    private Double totalFee;
    /**
     * 应付金额 = totalFee - discountFee(经理折扣,仅后台下单有经理折扣)
     */
    private Double shouldPayFee;
    /**
     * 包装规格
     */
    private String productUnit;
    /**
     * 购买数量
     */
    private Integer num;
    /**
     * 赠送数量
     */
    private Integer presentNum;
    /**
     * 协销订单:经理折扣(平摊到每个商品上,按照每种商品的总价占订单总价的比例来均分);普通订单 无
     */
    private Double discountFee;
    /**
     * 是否含税 0不含税，1含税，2未知
     */
    private Integer includedTax;
    /**
     * 发票类型(基于是否含税基础) 1增值税票，2普通票, 3不能开票
     */
    private Integer invoiceType;
    /**
     * 机构 税率
     */
    private Double taxRate;
    /**
     * 机构 单个税费=税率X折后单价
     */
    private Double addedValueTax;
    /**
     * 机构 总税费=单个税费X购买数量
     */
    private Double totalAddedValueTax;
    /**
     * 供应商 税率
     */
    private Double shopTaxRate;
    /**
     * 供应商 单个付供应商税费=税率X成本
     */
    private Double singleShouldPayTotalTax;
    /**
     * 供应商 总税费(应付税费)=单个税费X购买数量
     */
    private Double shouldPayTotalTax;
    /**
     * 供应商 商品费=成本价*(购买数量  + 赠品数量)
     */
    private Double shopProductAmount;
    /**
     * 后台设置的单个应付供应商金额
     */
    private Double singleShopFee;
    /**
     * 该商品总的应付供应商金额
     */
    private Double shopFee;
    /**
     * 后台设置单个应付第三方金额
     */
    private Double singleOtherFee;
    /**
     * 该商品总的应付第三方金额
     */
    private Double otherFee;
    /**
     * 后台计算的单个应付采美金额
     */
    private Double singleCmFee;
    /**
     * 该商品总的应付采美金额 (受赠品影响)
     */
    private Double cmFee;
    /**
     * 支付状态 0 未进账 1 待财务审核 2 已进账(适用协销的单笔线下进账和自助订单线下或异常进账)
     */
    private Integer payStatus;
    /**
     * 订单商品再次购买标识 0否 1是
     */
    private Integer buyAgainFlag;
    /**
     * 未出库数量
     */
    private Integer notOutStore;
    /**
     * 下单时商品购买价格类型快照 0 机构价，1活动价 ，2阶梯价
     */
    private Integer actProduct;
    /**
     * 商品类型(0正常商品,1协商赠品,2促销赠品)
     */
    private Integer productType;
    /**
     * 阶梯价列表(临时用，保存订单阶梯价格)
     */
    private List<LadderPriceVo> ladderPrices;
    /**
     * 订单号(保存订单用)
     */
    private Integer orderId;
    /**
     * 订单编号(保存订单用)
     */
    private String orderNo;
    /**
     * 子订单ID(保存订单用)
     */
    private Integer shopOrderId;
    /**
     * 子订单编号(保存订单用)
     */
    private String shopOrderNo;
    /**
     * 订单商品Id(保存订单用)
     */
    private Integer orderProductId;
    /**
     * 订单促销id
     */
    private Integer orderPromotionsId;
    /**
     * 超级会员优惠价格标识：0不是，1是
     */
    private Integer svipPriceFlag;
    /**
     * 超级会员优惠价类型:1折扣价，2直接优惠价
     */
    private Integer svipPriceType;
    /**
     * 超级会员折扣
     */
    private Double svipDiscount;
    /**
     * 超级会员优惠
     */
    private Double svipReduction;
    /**
     * 商品分账号
     */
    private String splitCode;
    /**
     * 外部商城付采美佣金比例
     */
    private Integer cmPercent;
    /**
     * 外部商城付组织佣金比例
     */
    private Integer organizePercent;
    /**
     * 外部商城付组织供应商佣金比例快照
     */
    private Integer shopPercent;
}
