package com.caimei365.order.model.po;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/12
 */
@Data
public class OrderShopPo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 线上支付渠道，收银台确定支付渠道1微信2支付宝3个人网银4企业网银
     */
    private String onlinePayWays;
    /**
     * 虚拟字段，不包含店铺满减的子订单应付
     */
    private Double realNeedPay;
    /**
     * 优惠券优惠金额
     */
    private Double couponAmount;
    /**
     * cm_coupon_club表id
     */
    private Integer couponClubId;
    /**
     * 均摊优惠
     */
    private Double eachDiscount;
    /**
     * 优惠分摊前的子订单金额
     */
    private Double oldPrice;
    /**
     * 优惠分摊前的子订单佣金
     */
    private Double oldBrokerage;
    /**
     * 优惠分摊后子订单真实支付金额
     */
    private Double realPay;
    /**
     * 子订单ID
     */
    private Integer shopOrderId;
    /**
     * 子订单编号
     */
    private String shopOrderNo;
    /**
     * 订单号
     */
    private Integer orderId;
    /**
     * 组织Id
     */
    private Integer organizeId;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 子订单备注信息
     */
    private String note;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 购买机构Id
     */
    private Integer clubId;
    /**
     * 协销Id
     */
    private Integer spId;
    /**
     * 订单类型 协销订单 0， 普通订单 1
     */
    private Integer orderType;
    /**
     * 订单促销id(店铺促销)
     */
    private Integer orderPromotionsId;
    /**
     * 促销满减优惠(店铺促销)
     */
    private Double promotionFullReduction;
    /**
     * 超级会员优惠
     */
    private Double svipShopReduction;
    /**
     * 佣金 =  应付采美
     */
    private Double brokerage;
    /**
     * 是否使用余额
     */
    private Integer useBalanceFlag;
    /**
     * 余额支付时使用的金额
     */
    private Double accountAmount;
    /**
     * 可退款金额 = 余额抵扣金额
     */
    private Double canRefundAmount;
    /**
     * 购买数量
     */
    private Integer itemCount;
    /**
     * 总价 = totalFee
     */
    private Double totalAmount;
    /**
     * 总金额 = 订单商品totalAmount
     */
    private Double productAmount;
    /**
     * 需要支付金额 shouldPayFee +运费
     */
    private Double needPayAmount;
    /**
     * 付供应商 商品费=成本价*(购买数量  + 赠品数量)
     */
    private Double shopProductAmount;
    /**
     * 付供应商 运费
     */
    private Double shopPostFee;
    /**
     * 免邮标志  运费：-1到付，0包邮，1需要运费,-2仪器到付其它包邮
     */
    private Integer shopPostFlag;
    /**
     * 付供应商税费
     */
    private Double shopTaxFee;
    /**
     * 付供应商 = 商品费 + 运费 + 税费
     */
    private Double shouldPayShopAmount;
    /**
     * 订单提交时间
     */
    private String orderTime;
    /**
     * 订单确认时间
     */
    private String confirmTime;
    /**
     * 0:个人自己下单 1:企业自己下单 2:员工帮会所下单 3:协销帮会所下单  4:后台下单 5:采美豆订单
     */
    private Integer orderSubmitType;
    /**
     * 订单能否拆分 1 为可拆分, 0为不可拆分
     */
    private Integer splitFlag;
    /**
     * (付款供应商)付款状态：1待付款、2部分付款、3已付款
     */
    private Integer payStatus;
    /**
     * 订单状态 1：待确认 2：已确认 3：交易完成 4：订单完成 5：已关闭 6：交易全退
     */
    private Integer shopStatus;
    /**
     *
     */
    private Integer receiptStatus;
    /**
     * 已付款金额
     */
    private Double payedShopAmount;
    /**
     * 子订单收款商户号
     */
    private String splitCode;
    /**
     * 是否包含冷链费 0不包含 1包含
     */
    private Integer isColdChina;
}
