package com.caimei365.order.model.po;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/8/3
 */
@Data
public class PayShopPo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 供应商Id
     */
    private Integer shopId;

    /**
     * 付款单名称
     */
    private String name;

    /**
     * 付款账号的户名
     */
    private String bankAccountName;

    /**
     * 付款账号
     */
    private String bankAccount;

    /**
     * 付款账号的开户行
     */
    private String bankName;

    /**
     *  付款账号的类型 0公账, 1私账
     */
    private Integer type;

    /**
     * 付供应商总金额
     */
    private Double totalAmount;

    /**
     * 余额支付
     */
    private Double balancePayFee;

    /**
     * 转账支付
     */
    private Double transferPayFee;

    /**
     * 付款方式 1建设银行7297, 2中信银行0897, 3中信银行7172, 4广发银行0115, 5广发银行5461,6线上分账
     */
    private Integer payType;

    /**
     * 付款抹平金额（总）
     */
    private Double wipePayment;

    /**
     * 付款抹平备注(文字)
     */
    private String wipeRemarks;

    /**
     * 付款抹平备注(图片),以"##"隔开
     */
    private String wipeRemarkImages;

    /**
     * 抹平申请时间
     */
    private String wipeTime;

    /**
     * 申请人ID
     */
    private Integer applicant;

    /**
     * 申请时间
     */
    private String applyTime;

    /**
     * 审核人ID
     */
    private Integer reviewer;

    /**
     * 审核时间
     */
    private String reviewTime;

    /**
     * 付款时间
     */
    private String payTime;

    /**
     * 审核状态  0待审核,  1审核通过  2审核不通过
     */
    private Integer status;

    /**
     * 审核不通过原因
     */
    private String reason;

    /**
     * 删除标记 0 否，其余是
     */
    private Integer delFlag;

}
