package com.caimei365.order.model.po;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/28
 */
@Data
public class RebateRecordPo implements Serializable {
    private static final long serialVersionUId = 1L;
    private Integer id;
    /**
     * 记录类型：1供应商欠款录入(口头返佣)、2应付供应商抵扣(不打款欠款抵扣)(付款抵扣), 3供应商退款给采美退款到余额,4平台服务费欠款
     */
    private Integer type;
    /**
     * 供应商ID
     */
    private Integer shopId;
    /**
     * 识别款项Id（对应cm_discern_receipt表）供应商欠款录入(口头返佣)的时候有值
     */
    private Integer receiptId;
    /**
     * 子订单ID（多个子订单使用,分隔
     */
    private String shopOrderId;
    /**
     * 金额（可能是欠款录入的口头返佣，可能是付款抵扣金额，具体看type值）
     */
    private Double rebateAmount;
    /**
     * 操作时间
     */
    private String operateTime;
}
