package com.caimei365.order.model.vo;


import com.caimei365.order.model.enums.AccountPayOrderType;
import com.caimei365.order.model.enums.ProductType;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Set;

public class AccountPayOrder implements Serializable {

    private String P1_bizType;
    private String P2_signType;
    private String P3_timestamp;
    private String P4_orderId;
    private String P5_customerNumber;
    private String P6_ext;

    public String getP1_bizType() {
        return P1_bizType;
    }

    public void setP1_bizType(String p1_bizType) {
        P1_bizType = p1_bizType;
    }

    public String getP2_signType() {
        return P2_signType;
    }

    public void setP2_signType(String p2_signType) {
        P2_signType = p2_signType;
    }

    public String getP3_timestamp() {
        return P3_timestamp;
    }

    public void setP3_timestamp(String p3_timestamp) {
        P3_timestamp = p3_timestamp;
    }

    public String getP4_orderId() {
        return P4_orderId;
    }

    public void setP4_orderId(String p4_orderId) {
        P4_orderId = p4_orderId;
    }

    public String getP5_customerNumber() {
        return P5_customerNumber;
    }

    public void setP5_customerNumber(String p5_customerNumber) {
        P5_customerNumber = p5_customerNumber;
    }


    public String getP6_ext() {
        return P6_ext;
    }

    public void setP6_ext(String p6_ext) {
        P6_ext = p6_ext;
    }

    public static class AccountPayOrderExt {
        // 订单类型
        private AccountPayOrderType orderType;
        // 收款商编
        private String inMerchantNo;
        // 金额
        private BigDecimal amount;
        // 回调地址
        private String serverCallbackUrl;
        // 商品名称
        private String goodsName;
        // 商品描述（可选）
        private String orderDesc;
        /** 以下两项在补贴场景下必填 **/
        private ProductType productType;
        // 原收单订单号
        private String associatedOrderNo;
        // 分账规则串 - 仅支持资金划拨类订单
        private List<SplitBillRule> splitBillRules;
        // 是否为担保交易
        private boolean inEscrow = false;



        public AccountPayOrderType getOrderType() {
            return orderType;
        }

        public void setOrderType(AccountPayOrderType orderType) {
            this.orderType = orderType;
        }

        public BigDecimal getAmount() {
            return amount;
        }

        public void setAmount(BigDecimal amount) {
            this.amount = amount;
        }

        public String getServerCallbackUrl() {
            return serverCallbackUrl;
        }

        public void setServerCallbackUrl(String serverCallbackUrl) {
            this.serverCallbackUrl = StringUtils.isEmpty(serverCallbackUrl) ? null : serverCallbackUrl;
        }

        public String getGoodsName() {
            return goodsName;
        }

        public void setGoodsName(String goodsName) {
            this.goodsName = goodsName;
        }

        public String getOrderDesc() {
            return orderDesc;
        }

        public void setOrderDesc(String orderDesc) {
            this.orderDesc = orderDesc;
        }

        public ProductType getProductType() {
            return productType;
        }

        public void setProductType(ProductType productType) {
            this.productType = productType;
        }

        public String getAssociatedOrderNo() {
            return associatedOrderNo;
        }

        public void setAssociatedOrderNo(String associatedOrderNo) {
            this.associatedOrderNo = associatedOrderNo;
        }

        public String getInMerchantNo() {
            return inMerchantNo;
        }

        public void setInMerchantNo(String inMerchantNo) {
            this.inMerchantNo = inMerchantNo;
        }

        public List<SplitBillRule> getSplitBillRules() {
            return splitBillRules;
        }

        public void setSplitBillRules(List<SplitBillRule> splitBillRules) {
            this.splitBillRules = splitBillRules;
        }

        public boolean isInEscrow() {
            return inEscrow;
        }

        public void setInEscrow(boolean inEscrow) {
            this.inEscrow = inEscrow;
        }
        public static class SplitBillRule {
            private String splitBillMerchantNo; // 收账商编
            private BigDecimal splitBillAmount; // 分账金额
            public String getSplitBillMerchantNo() {
                return splitBillMerchantNo;
            }
            public void setSplitBillMerchantNo(String splitBillMerchantNo) {
                this.splitBillMerchantNo = splitBillMerchantNo;
            }
            public BigDecimal getSplitBillAmount() {
                return splitBillAmount;
            }

            public void setSplitBillAmount(BigDecimal splitBillAmount) {
                this.splitBillAmount = splitBillAmount;
            }
        }



    }

}
