package com.caimei365.order.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 购物车商品列表
 *
 * @author : Charles
 * @date : 2021/6/25
 */
@Data
public class CartItemVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 赠品skuId
     */
    private Integer giftSkuId;
    /**
     * skus
     */
    private List<Sku> skus;
    /**
     * 购物车的商品skuId
     */
    private Integer skuId;
    /**
     * 购物车Id
     */
    private Integer id;
    /**
     * 购买数量
     */
    private Integer number;
    /**
     * 购物商品效状态：0有效，1后台删除的，2冻结的，3下架，4售罄 >7库存不足，5价格仅会员可见，6未公开价格, 8价格仅医美机构可见
     */
    private Integer status;
    /**
     * 商品Id
     */
    private Integer productId;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 主图
     */
    private String image;
    /**
     * 商品Code
     */
    private String productCode;
    /**
     * 价格
     */
    private Double price;
    /**
     * 划线价
     */
    private Double originalPrice;
    /**
     * 单位/规格
     */
    private String unit;
    /**
     * 库存
     */
    private Integer stock;
    /**
     * 起订量
     */
    private Integer min;
    /**
     * 增量
     */
    private Integer step;
    /**
     * 价格可见度： 0公开价格，1不公开价格，2仅对会员机构公开，3仅对医美机构公开
     */
    private Integer priceFlag;
    /**
     * 启用阶梯价格标识：1是，0否
     */
    private Integer ladderFlag;
    /**
     * 是否含税 0不含税，1含税，2未知
     */
    private Integer includedTax;
    /**
     * 机构税率
     */
    private Double taxRate;
    /**
     * 发票类型(基于是否含税基础) 1增值税票，2普通票, 3不能开票
     */
    private Integer invoiceType;
    /**
     * 是否是赠品 2是，其他否
     */
    private Integer giftType;
    /**
     * 商品类型：0其它类型(默认)，1妆字号，2械字号
     */
    private Integer productType;
    /**
     * 商品是否处于活动状态 1是 0否
     */
    private Integer actStatus;
    /**
     * 商品可见度：3:所有人可见，2:普通机构可见，1:会员机构可见，4:仅医美机构可见
     */
    private Integer visibility;
    /**
     * 商品上架状态：0逻辑删除 1待审核 2已上架 3已下架 8审核未通过 9已冻结
     */
    private Integer validFlag;
    /**
     * 商品的类别：1正常商品(默认)，2二手商品
     */
    private Integer productCategory;
    /**
     * 商品促销活动
     */
    private PromotionsVo promotions;
    /**
     * 阶梯价列表
     */
    private List<LadderPriceVo> ladderPrices;
    /**
     * 前端商品勾选状态
     */
    private Boolean isChecked;
    /**
     * 商品属性：1产品，2仪器
     */
    private Integer commodityType;
    /**
     * 超级会员优惠商品标识：0不是，1是
     */
    private Integer svipProductFlag;
    /**
     * 超级会员优惠价类型:1折扣价，2直接优惠价
     */
    private Integer svipPriceType;
    /**
     * 超级会员折扣
     */
    private Double svipDiscount;
    /**
     * 超级会员优惠价
     */
    private Double svipDiscountPrice;
    /**
     * 超级会员价格标签
     */
    private String svipPriceTag;
    /**
     * 购物车该商品总优惠金额
     */
    private Double svipTotalReducedPrice;
    /**
     * 商品分账号
     */
    private String splitCode;

    /**
     * 能否退货  1 能 2不能
     */
    private Integer returnGoodsStutas;
    /**
     * 特殊商品退货须知提示  （取后台帮助中心id1040的数据）
     */
    private String  helpContent;
    /**
     * 冷链费
     */
    private Double coldChain;
    /**
     * 运费标志：0包邮 2到付 1遵循运费规则
     */
    private Integer postageFlag;
}
