package com.caimei365.order.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 购物车供应商列表
 *
 * @author : Charles
 * @date : 2021/6/25
 */
@Data
public class CartShopVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer shopType;

    private Integer skuId;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 供应商Logo
     */
    private String shopLogo;
    /**
     * 总价
     */
    private Double totalPrice;
    /**
     * 减免价格
     */
    private Double reducedPrice;
    /**
     * 超级会员优惠
     */
    private Double svipReducedPrice;
    /**
     * 划线价格
     */
    private Double originalPrice;
    /**
     * 供应商下商品种类
     */
    private Integer count;
    /**
     * 商品列表
     */
    private List<CartItemVo> cartList;
    /**
     * 促销活动
     */
    private PromotionsVo promotions;
    /**
     * 领券标识
     */
    private Boolean couponsLogo;
    /**
     * 前端勾选状态
     */
    private Boolean isChecked;
    /**
     * 商品分帐号
     */
    private String splitCode;

    /**
     * 能否退货  1 能 2不能
     */
    private Integer returnGoodsStutas;
    /**
     * 特殊商品退货须知提示  （取后台帮助中心id1040的数据）
     */
    private String  helpContent;
    /**
     * 冷链费
     */
    private Double coldChain;
    /**
     * 运费标志：0包邮 2到付 1遵循运费规则
     */
    private Integer postageFlag;
    /**
     * 运费
     */
    private Double postage;
    /**
     * 可用采美豆
     */
    private Integer userBeans;
    /**
     * 含包邮
     */
    private Integer freePostTage;
    /**
     * 含到付
     */
    private Integer freePostTagePayment;
    /**
     * 是否包含需要冷链运输商品  1 冷链费商品 2 不含冷链费商品 3 包含冷链费商品
     */
    private Integer designatedFlag;
    /**
     * 是否勾选冷链费
     */
    private Boolean isColdChina;
}
