package com.caimei365.order.model.vo;

import lombok.Data;

import java.io.Serializable;

@Data
public class CmReturnedPurchase implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 退款退货编号
     */
    private String returnedNo;
    private Integer orderId;
    private Integer shopOrderId;
    private Integer userId;
    /**
     * 状态：1待审核、2审核通过、3审核不通过
     */
    private String status;
    /**
     * 发起该操作时订单状态快照：0待确认,11待收待发,12待收部发,13待收全发, 21部收待发,22部收部发,23部收全发,
     * 31已收待发,32已收部发,33已收全发,4交易完成,5订单完成,6已关闭,7交易全退
     */
    private String operatingOrderStatus;
    /**
     * 退款(退货)总金额
     */
    private Double returnedPurchaseFee;
    /**
     * 退款总额(给买家)
     */
    private Double refundFee;
    /**
     * 申请退款时间
     */
    private String returnTime;
    /**
     * 确认退款时间(审核退款时间)
     */
    private String confirmReturnTime;
    /**
     * 退账户余额
     */
    private Double refundBalanceFee;
    /**
     * 退线上退回
     */
    private Double refundOnlineFee;
    /**
     * 退线下转账
     */
    private Double refundOfflineFee;

    /**
     * 一次性字段
     * 版本废弃字段
     */
    private Integer shopCount;
    private Integer returnedWay;
    private Integer payType;
    private String bankAccountName;
    private String bankAccountNo;
    private String openBank;
    private String bankAccountType;
    private String image1;
    private String image2;
    private String image3;
    private String image4;
    private String image5;
    private String reviewImage1;
    private String reviewImage2;
    private String reviewImage3;
    private String reviewImage4;
    private String reviewImage5;
    private String remarks;
    private String reviewRemarks;
    private Integer applicationUserId;
    private Integer reviewUserId;
    private Integer delFlag;
    private Integer refundType;
}
