package com.caimei365.order.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/6/25
 */
@Data
public class PromotionsVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 活动可见度, 1所有人，2仅对机构
     */
    private Integer seen;
    /**
     * 是否支持叠加优惠，1支持，2不支持
     */
    private Integer discount;
    /**
     * 促销id
     */
    private Integer id;
    /**
     * 促销名称
     */
    private String name;
    /**
     * 促销描述
     */
    private String description;
    /**
     * 分类: 1单品促销，2凑单促销，3店铺促销
     */
    private Integer type;
    /**
     * 促销方式：1优惠，2满减，3满赠
     */
    private Integer mode;
    /**
     * 优惠价/满减/满赠的设定价格（如满999赠商品）
     */
    private Double touchPrice;
    /**
     * 减免价格
     */
    private Double reducedPrice;
    /**
     * 时效：1永久，2区间过期，其它无效
     */
    private Integer status;
    /**
     * 商品id
     */
    private Integer productId;
    /**
     * 店铺id(店铺促销时供应商ID)
     */
    private Integer shopId;
    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date beginTime;
    /**
     * 截止时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
    /**
     * 该优惠下（该购物车商品）价格列表
     */
    private List<PromotionPriceVo> productList;
    /**
     * 该优惠下赠品
     */
    private List<CartItemVo> giftList;
    /**
     * 主订单id(保存订单促销用)
     */
    private Integer orderId;
    /**
     * 促销id(保存订单促销用)
     */
    private Integer promotionsId;
}
