package com.caimei365.order.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/11
 */
@Data
public class ReceiptUserVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 收款用户Id
     */
    @ApiModelProperty("收款用户Id")
    private Integer id;
    /**
     * 用户类型：1协销人员,2客服,3财务,4超级管理员
     */
    @ApiModelProperty("用户类型：1协销人员,2客服,3财务,4超级管理员")
    private Integer userType;
    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;
    /**
     * 授权人手机号
     */
    @ApiModelProperty("授权人手机号")
    private String mobile;
    /**
     * 微信openid
     */
    @ApiModelProperty("微信openid")
    private String openid;
    /**
     * 密码
     */
    @ApiModelProperty("密码")
    private String password;
    /**
     * 用户权限: 1录入收款,2收款列表操作,3关联订单款,4关联返佣款,5口头返佣,6关联供应商退款,7审核订单款,8收款详情分享,
     * 9非订单款查看(全部)，10订单款查看(全部)，11返佣款查看(全部)，12供应商退款查看(全部)，13订单款查看(协销自己机构)，14返佣款查看(协销自己机构)，15供应商退款查看(协销自己机构)
     */
    @ApiModelProperty("用户权限: 1录入收款,2收款列表操作,3关联订单款,4关联返佣款,5口头返佣,6关联供应商退款,7审核订单款,8收款详情分享,9非订单款查看(全部)，10订单款查看(全部)，11返佣款查看(全部)，12供应商退款查看(全部)，13订单款查看(协销自己机构)，14返佣款查看(协销自己机构)，15供应商退款查看(协销自己机构)")
    private Integer permission;
    /**
     * 用户权限列表
     */
    @ApiModelProperty("用户权限列表")
    private List<Integer> permissions;
    /**
     * 微信unionId
     */
    @ApiModelProperty("微信unionId")
    private String unionId;
    /**
     * 前端显示列表：1订单款，2非订单，3返佣款，5供应商退款
     */
    @ApiModelProperty("前端显示列表：1订单款，2非订单，3返佣款，5供应商退款")
    private List<Integer> tabMenus;
}
