package com.caimei365.order.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/15
 */
@Data
public class ReceiptVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 二手商品订单标识  0非二手商品订单、 1二手商品订单
     */
    private Integer secondHandOrderFlag;
    /**
     * 款项识别表id
     */
    private Integer id;
    /**
     * 用户付款方式：1线上，2线下，3余额抵扣
     */
    private Integer payWay;
    /**
     * 付款类型：1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、6中信银行0897-支付宝、7线上-支付宝、8线上-微信支付、9线上-快钱支付、10口头返佣、11广发银行5461、12PC-B2B网银、13PC-微信支付、14PC-支付宝、15小程序-微信支付、16余额抵扣、17PC-B2C网银
     */
    private Integer payType;

    private String payTypeText;
    /**
     * 收款款项类型：1订单款，2非订单款，3返佣款
     */
    private Integer receiptType;
    private String receiptTypeText;
    /**
     * 收款状态：1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销【订单款项状态:12345】【非订单款项状态:125】【返佣款状态:125】【线上支付成功为审核通过】
     */
    private Integer receiptStatus;
    private String receiptStatusText;
    /**
     * 收款金额（线上一次性付款和支付金额一致）
     */
    private Double receiptAmount;
    /**
     * 收款时间
     */
    private String receiptDate;
    /**
     * 确认时间
     */
    private String confirmDate;
    /**
     * 审核时间
     */
    private String reviewDate;
    /**
     * 撤销时间
     */
    private String cancelDate;
    /**
     * 撤销原因
     */
    private String cancelReason;
    /**
     * 审核不通过原因
     */
    private String reviewReason;
    /**
     * 非订单款说明
     */
    private String noOrderReason;
    /**
     * 单次收款金额
     */
    private Double associateAmount;
    /**
     * 短信内容
     */
    private String smsContent;
    /**
     * 短信内容Md5加密串（适用于二次短信匹配查询）
     */
    private String smsMd5Code;
    /**
     * 确认订单类型：1小额抹平确认，2大额抹平确认，3大额退款余额，4确认关联
     */
    private Integer confirmType;
    /**
     * 是否存在手续费
     */
    private Boolean haveFee;
    /**
     * 手续费
     */
    private Double handlingFee;
    /**
     * 订单标识
     */
    private String orderFlag;
    /**
     * 当前识别短信是否已经识别存在系统。0新短信可以识别，1已经存在识别短信。
     */
    private String smsContentPresenceFlag;
    /**
     * 自动审核收款标记（0手动分享去确认审核，1收款直接确认并审核[适用星范带有正确订单标识的收款]）
     */
    private String autoAuditFlag;
    /**
     * 订单组织ID
     */
    private Integer organizeId;
    /**
     * 提示信息
     */
    private String tipMsg;
    /**
     * 订单机构用户ID
     */
    private Integer userId;
    /**
     * 订单机构客户名称
     */
    private String userName;
    /**
     * 关联订单列表
     */
    private List<OrderVo> orderList;
    /**
     * 关联订单列表
     */
    private List<ShopOrderVo> shopOrderList;
    /**
     * 收款人
     */
    private Integer receiptUserPermissionId;
    private String receiptUserName;
    /**
     * 确认人
     */
    private Integer confirmUserPermissionId;
    private String confirmUserName;
    /**
     * 审核人
     */
    private Integer reviewUserPermissionId;
    private String reviewUserName;
    /**
     * 撤销人
     */
    private Integer cancelUserPermissionId;
    private String cancelUserName;

    private Integer newReceiptType;

    private String shopName;

}
