package com.caimei365.order.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/22
 */
@Data
public class ReturnedPurchaseVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer id;
    /**
     * 退款退货编号
     */
    private String returnedNo;
    /**
     * 主订单Id
     */
    private Integer orderId;
    /**
     * 用户Id（买家）
     */
    private Integer userId;
    /**
     * 状态：1待审核、2审核通过、3审核不通过
     */
    private String status;
    /**
     * 退款方式 1有支付有退款(退款方式可多选具体参考以上金额)、4未支付无退款（未支付发起退款）
     */
    private Integer returnedWay;
    /**
     * 付款方式 付款方式 1建设银行7297, 2中信银行0897, 3中信银行7172, 4广发银行0115, 5广发银行5461,6线上分账
     */
    private String payType;
    /**
     * 发起该操作时订单状态快照：0待确认,11待收待发,12待收部发,13待收全发,21部收待发,22部收部发,23部收全发,31已收待发,32已收部发,33已收全发,4交易完成,5订单完成,6已关闭,7交易全退
     */
    private String operatingOrderStatus;
    /**
     * 退款银行信息（银行名称、户名、开户行、银行账号）【V6.1.1版本已废弃拆分显示】
     */
    private String returnedBankInfo;
    /**
     * 银行账户名
     */
    private String bankAccountName;
    /**
     * 开户银行账户
     */
    private String bankAccountNo;
    /**
     * 开户银行
     */
    private String openBank;
    /**
     * 账户类型：1公账，2私账
     */
    private String bankAccountType;
    /**
     * 退款(退货)总金额【此金额为不包含经理折扣和余额抵扣的商品退款金额记录不作实际退款用，适用二次退款抵扣经理计算】
     */
    private Double returnedPurchaseFee;
    /**
     * 退款总额(给买家)
     */
    private Double refundFee;
    /**
     * 退账户余额
     */
    private Double refundBalanceFee;
    /**
     * 退线上退回
     */
    private Double refundOnlineFee;
    /**
     * 退线下转账
     */
    private Double refundOfflineFee;
    /**
     * 凭证图片1
     */
    private String image1;
    /**
     * 凭证图片2
     */
    private String image2;
    /**
     * 凭证图片3
     */
    private String image3;
    /**
     * 凭证图片4
     */
    private String image4;
    /**
     * 凭证图片5
     */
    private String image5;
    /**
     * 审核凭证图片1
     */
    private String reviewImage1;
    /**
     * 审核凭证图片2
     */
    private String reviewImage2;
    /**
     * 审核凭证图片3
     */
    private String reviewImage3;
    /**
     * 审核凭证图片4
     */
    private String reviewImage4;
    /**
     * 审核凭证图片5
     */
    private String reviewImage5;
    /**
     * 备注信息
     */
    private String remarks;
    /**
     * 审核备注信息
     */
    private String reviewRemarks;
    /**
     * 申请人Id
     */
    private Integer applicationUserId;
    /**
     * 申请退款时间
     */
    private String returnTime;
    /**
     * 审核人Id
     */
    private Integer reviewUserId;
    /**
     * 确认退款时间(审核退款时间)
     */
    private String confirmReturnTime;
    /**
     * 是否有效状态 0 有效  其它无效（适用取消退款等）
     */
    private String delFlag;

}
