package com.caimei365.order.model.vo;

import com.caimei365.order.model.po.InvoicePo;
import com.caimei365.order.model.po.VoucherPo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/20
 */
@Data
public class ShopOrderVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer couponClubId;
    /**
     * 虚拟字段，不包含店铺满减的子订单应付
     */
    private Double realNeedPay;
    /**
     * 返佣服务费
     */
    private Double rebateFee;
    /**
     * 优惠券金额
     */
    private Double couponAmount;
    /**
     * 平台服务费
     */
    private Double cmCostPrice;
    /**
     * 二手商品订单标识  0非二手商品订单、 1二手商品订单
     */
    private Integer secondHandOrderFlag;
    /**
     * 子订单已支付成功次数统计
     */
    private Integer paySuccessCounter;
    /**
     * 特殊供应商标识
     */
    private Integer shopType;
    /**
     * 子订单ID
     */
    private Integer shopOrderId;
    /**
     * 子订单编号
     */
    private String shopOrderNo;
    /**
     * 订单号
     */
    private Integer orderId;
    /**
     * 普通订单 1 协销订单 0
     */
    private Integer orderType;
    /**
     * 组织Id
     */
    private Integer organizeId;
    /**
     * 订单更新时间
     */
    private Date updateTime;
    /**
     * 协销联系人
     */
    private String serviceName;
    /**
     * 结算状态 1未结算2部分结算3已结算
     */
    private Integer settlestatus;
    /**
     * vip
     */
    private Integer svipUserFlag;
    /**
     * 用户类型
     */
    private Integer userIdentity;
    /**
     * 机构名称
     */
    private String clubName;
    /**
     * 冷链费用标记
     */
    private Integer isColdChina;
    /**
     * 冷链费
     */
    private Double coldChina;
    /**
     * 运费--联合丽格
     */
    private String postageInfo;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 订单标识:#订单号#
     */
    private String OrderMark;
    /**
     * 供应商 支持支付方式 0 线上下线  1 线上 2 线下
     */
    private Integer payway;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 供应商logo
     */
    private String shopLogo;
    /**
     * 子订单备注信息
     */
    private String note;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 购买机构Id
     */
    private Integer clubId;
    /**
     * 协销Id
     */
    private Integer spId;
    /**
     * 子订单状态
     */
    private Integer status;
    /**
     * 退货退款类型：0未发生退款、1部分退、2全部退
     */
    private Integer refundType;
    /**
     * 上传支付凭证状态
     */
    private Integer checkFlag;
    /**
     * 订单促销id(店铺促销)
     */
    private Integer orderPromotionsId;
    /**
     * 促销满减优惠(店铺促销)
     */
    private Double promotionFullReduction;
    /**
     * 超级会员优惠
     */
    private Double svipShopReduction;
    /**
     * (付款供应商)付款状态：1待付款、2部分付款、3已付款
     */
    private Integer payStatus;
    /**
     *  用户待付（realPay-receiptAmount）
     */
    private Double  obligation;
    /**
     * 均摊优惠的金额
     */
    private Double eachDiscount;
    /**
     * 已付款金额
     */
    private Double payedShopAmount;
    /**
     * orderSeen:订单对机构可见度，1可见，2不可见
     */
    private Integer orderSeen;
    /**
     * 采美豆数
     */
    private Integer userBeans;
    /**
     * 佣金 =  应付采美
     */
    private Double brokerage;
    /**
     * 可退款金额 = 余额抵扣金额
     */
    private Double canRefundAmount;
    /**
     * 购买数量
     */
    private Integer itemCount;
    /**
     * 总价 = totalFee
     */
    private Double totalAmount;
    /**
     * 总金额 = 订单商品totalAmount
     */
    private Double productAmount;
    /**
     * 需要支付金额 shouldPayFee +运费
     */
    private Double needPayAmount;
    /**
     * 付供应商 商品费=成本价*(购买数量  + 赠品数量)
     */
    private Double shopProductAmount;
    /**
     * 用户已付金额
     */
    private Double receiptAmount;
    /**
     * 优惠均摊后真实应付金额needpay
     */
    private Double realPay;
    /**
     * 付供应商 运费
     */
    private Double shopPostFee;
    /**
     * 免邮标志  运费：-1到付，0包邮，1需要运费,-2仪器到付其它包邮
     */
    private Integer shopPostFlag;
    /**
     * 付供应商税费
     */
    private Double shopTaxFee;
    /**
     * 付供应商 = 商品费 + 运费 + 税费
     */
    private Double shouldPayShopAmount;
    /**
     * 已经发货的商品数量
     */
    private Integer outStoreNum;
    /**
     * 子订单发货批次 默认值 = 0 即没过发货
     */
    private Integer outStoreTimes;
    /**
     * 发货状态：1待发货、2部分发货、3已发货
     */
    private Integer sendOutStatus;
    /**
     * 赠品数
     */
    private Integer presentNum;
    /**
     * 订单提交时间
     */
    private String orderTime;
    /**
     * 0:个人自己下单 1:企业自己下单 2:员工帮会所下单 3:协销帮会所下单  4:后台下单 5:采美豆订单
     */
    private Integer orderSubmitType;
    /**
     * 订单能否拆分 1 为可拆分, 0为不可拆分
     */
    private Integer splitFlag;
    /**
     * 付第三方
     */
    private Double shopOtherFee;
    /**
     * 子订单店铺促销活动
     */
    private PromotionsVo shopPromotion;
    /**
     * 订单商品信息
     */
    private List<OrderProductVo> orderProductList;
    /**
     * 发货物流记录
     */
    private List<LogisticsRecordVo> logisticsRecordList;
    /**
     * 收货地址
     */
    private OrderUserinfoVo userInfo;
    /**
     * （收款买家）收款状态：1待收款、2部分收款、3已收款
     */
    private Integer receiptStatus;
    /**
     * 订单状态标识，1:非退货退款订单、2：退货退款中、3退货退款完成
     */
    private Integer orderStatusFlag;
    /**
     * 退款状态：1无退款、3有退款
     */
    private Integer refundStatus;
    /**
     * 供应商已退金额
     */
    private BigDecimal shopRefundAmount;
    /**
     * 存在退款中的记录 （0：否，1：是）
     */
    private String haveReturning;
    /**
     * 存在收款中的记录 （0：否，1：是）
     */
    private String haveReceipting;
    /**
     * 剩余应收金额
     */
    private Double surplusAmount;
    /**
     * 订单状态备注
     */
    private String statusName;
    /**
     * 待审金额
     */
    private Double unCheckAmount;
    /**
     * 退货退款价值（抵扣经理折扣后）
     */
    private Double returnValue;
    /**
     * 子订单返佣标识
     */
    private Integer receiptedFlag;
    /**
     * 返佣类型 10口头返佣   1或者其他值都是返佣
     */
    private Integer receiptedType;
    /**
     * 返佣订单关联页面展示用
     */
    private OrderVo mainOrder;
    /**
     * 子订单分帐号
     */
    private String splitCode;
    /**
     * 供应商联系人
     */
    private String linkMan;
    /**
     * 供应商手机号
     */
    private String contractMobile;
    /**
     * 客户名称
     */
    private String userName;
    /**
     * 下单日期
     */
    private String confirmTime;
    /**
     * 收款款项二级类别1.上架费2.订单返佣3.认证通会员4.认证通企划
     */
   private Integer newReceiptType;
    /**
     * 余额支付时使用的金额
     */
   private Double accountAmount;
    /**
     * 是否使用余额 0否 1是
     */
   private Integer useBalanceFlag;
    /**
     * 发票信息
     */
   private InvoicePo invoice;
    /**
     * 支付凭证
     */
   private List<VoucherPo> voucher;
    /**
     * 供应商支持支付方式 0 线上下线  1 线上 2 线下
     */
   private Integer onlinePay;
    /**
     * 是否包含充值商品
     */
    private boolean rechargeGoods = false;
    /**
     * 总税费
     */
    private Double expensesOfTaxation;
    /**
     * 是否开发票 没开发票 0 开个人发票 1 开企业发票2
     */
    private Integer invoiceFlag;
    /**
     * 是否有商品发票属性的限制，为true时只能线下支付
     */
    private boolean invoiceStatus = false;
    /**
     * 退款总金额
     */
    private Double returnedPurchaseFee;
    /**
     * 退款总额(给买家)
     */
    private Double refundFee;
    /**
     * 总税费
     */
    private Double totalAddedValueTax;
    /**
     * 收款详情是否可以查看
     */
    private Boolean authority = false;
    /**
     * 条款ID
     */
    private Integer clauseId;
}
