package com.caimei365.order.service;

import com.caimei365.order.model.po.CmReportingClub;

import java.util.List;

/**
 * 机构报备Service接口
 *
 * @author Kaick
 * @date 2023-10-11
 */
public interface CmReportingClubService
{
    /**
     * 通过对象查询机构报备列表
     *
     * @param cmReportingClub 机构报备
     * @return 机构报备集合
     */
    public List<CmReportingClub> getCmReportingClubList(CmReportingClub cmReportingClub);

    /**
     * 通过Id查询机构报备
     *
     * @param id 机构报备主键
     * @return 机构报备
     */
    public CmReportingClub getCmReportingClubById(String id);

    /**
     * 通过对象查询机构报备
     *
     * @param cmReportingClub 机构报备
     * @return 机构报备
     */
    public CmReportingClub getByCmReportingClub(CmReportingClub cmReportingClub);

    /**
     * 通过对象查询机构报备Id
     *
     * @param cmReportingClub 机构报备主键
     * @return String
     */
    public String getById(CmReportingClub cmReportingClub);


    /**
     * 通过对象查询机构报备记录总数
     *
     * @param cmReportingClub 机构报备
     * @return 机构报备Integer
     */
    public int getCmReportingClubCount(CmReportingClub cmReportingClub);

    /**
     * 新增机构报备
     *
     * @param cmReportingClub 机构报备
     * @return 结果
     */
    public int addCmReportingClub(CmReportingClub cmReportingClub);

    /**
     * 修改机构报备
     *
     * @param cmReportingClub 机构报备
     * @return 结果
     */
    public int updateCmReportingClub(CmReportingClub cmReportingClub);

    /**
     * 删除机构报备信息
     *
     * @param id 机构报备主键
     * @return 结果
     */
    public int delCmReportingClubById(String id);

}

