package com.caimei365.order.service;

import com.alibaba.fastjson.JSONObject;
import com.caimei365.order.model.ResponseJson;
import com.caimei365.order.model.dto.BankListDto;
import com.caimei365.order.model.dto.HeliDto;
import com.caimei365.order.model.dto.PayDto;
import com.caimei365.order.model.vo.*;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpRequest;

import javax.servlet.http.HttpServletRequest;
import java.beans.IntrospectionException;
import java.lang.reflect.InvocationTargetException;
import java.security.NoSuchAlgorithmException;
import java.security.spec.InvalidKeySpecException;
import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : zzj
 * @date : 2021/11/11
 */
public interface HeliPayService {
    ResponseJson<JSONObject> payByWeChat(HeliDto heliDto, HttpHeaders headers) throws IntrospectionException, InvocationTargetException, IllegalAccessException;

    ResponseJson<JSONObject> payOnline(HeliDto heliDto, HttpHeaders headers) throws IntrospectionException, InvocationTargetException, IllegalAccessException;

    /**
     * 回调
     */
    String paymentCallback(NotifyResponseVo res) throws IntrospectionException, InvocationTargetException, IllegalAccessException;

    ResponseJson<String> link(HeliDto heliDto, HttpHeaders headers);

    /**
     * 延时分账
     */
//    void delayedSplitting(String callUrl);

    /**
     * 延时分账异步回调
     */
    String delayedSplittingCallback(AccountResVo data);

    ResponseJson<Map<String, Object>> bankCode();

    ResponseJson<JSONObject> getPayOrderResult(String mbOrderId, Integer orderFlag, Integer shopOrderId) throws IntrospectionException, InvocationTargetException, IllegalAccessException;

    /**
     * 银联回调
     */
    String unionCallback(UnionResVo res) throws IntrospectionException, InvocationTargetException, IllegalAccessException;

    ResponseJson<List<ShopOrderVo>> getShopOrders(Integer orderId, Integer shopOrderId);

    ResponseJson<JSONObject> getUnionResult(String mbOrderId, Integer orderFlag, Integer shopOrderId);

    ResponseJson<Map<String, String>> quickPay(HeliDto heliDto, HttpHeaders headers);

    String quickPayCallback(QuickPayConfirmPayResponseVo res);

    ResponseJson<Map<String, String>> bindBankCard(HeliDto heliDto);

    ResponseJson bindByCode(Integer flag, String bindCode, String orderId, String infoId, String customer);

    ResponseJson<List<BankListDto>> bankInfos(Integer cardType);

    ResponseJson unBoundCard(Integer cardId);

    ResponseJson<String> bindCardNoCode(HeliDto heliDto);

    ResponseJson<List<QuickBankVo>> unCodeInfos();

    String refundSplittingCallback(AccountResVo data);
}
