package com.caimei365.order.service;

import com.caimei365.order.model.ResponseJson;
import com.caimei365.order.model.vo.OrderVo;
import com.caimei365.order.model.vo.ShopOrderVo;
import com.github.pagehelper.PageInfo;

import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/19
 */
public interface OrderSellerService {
    /**
     * 协销订单列表
     * @param serviceProviderId 协销Id
     * @param listType 1:待确认,2:待付款,3:待发货,4:已发货,5:退货款
     * @param orderSubmitType    1：自主订单， 2:协销或后台订单
     * @param shopOrderNo    订单编号
     * @param pageNum    页码
     * @param pageSize   每页数量
     */
    ResponseJson<PageInfo<ShopOrderVo>> getOrderList(Integer serviceProviderId,Integer type, Integer listType, Integer orderSubmitType, String shopOrderNo, Integer groupServiceId, int pageNum, int pageSize);

    /**
     * 协销下机构总订单列表
     * @param serviceProviderId 协销Id
     * @param clubId            机构Id
     * @param listType 1:待确认,2:待付款,3:待发货,4:已发货,5:退货款
     * @param orderSubmitType    1：自主订单， 2:协销或后台订单
     * @param pageNum    页码
     * @param pageSize   每页数量
     */
    ResponseJson<PageInfo<ShopOrderVo>> getOrderListClub(Integer serviceProviderId, Integer clubId, Integer listType, Integer orderSubmitType, Integer type,int pageNum, int pageSize);

    /**
     * 协销根据关键词搜索订单
     * @param serviceProviderId     协销Id
     * @param searchWord 搜索关键词
     * @param pageNum    页码
     * @param pageSize   每页数量
     */
    ResponseJson<PageInfo<ShopOrderVo>> getOrderListByKeyword(Integer serviceProviderId, String searchWord, int pageNum, int pageSize);

    /**
     * 获取协销各状态订单数量
     * @param serviceProviderId    协销Id
     */
    ResponseJson<Map<String, Object>> getSellerOrderCount(Integer serviceProviderId);
}
