package com.caimei365.order.service;

import com.caimei365.order.model.ResponseJson;
import com.caimei365.order.model.dto.RechargeDto;
import com.caimei365.order.model.dto.SubmitDto;
import com.caimei365.order.model.po.OrderProductPo;
import com.caimei365.order.model.vo.OrderProductVo;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/7/6
 */
public interface SubmitService {
    /**
     * 生成订单
     */
    ResponseJson<Map<String, Object>> generateOrder(SubmitDto submitDto);

    /**
     * 生成充值商品订单
     * @param rechargeDto {
     *                    serviceProviderId 协销id
     *                    clubId            机构id
     *                    name              商品名称
     *                    price             价格
     *                    note              备注
     *                    }
     */
    ResponseJson<Map<String, Object>> generateRechargeOrder(RechargeDto rechargeDto);

    ResponseJson updateOrder(List<OrderProductVo> orderProducts);
}
