package com.caimei365.order.task;

import com.caimei365.order.service.PayOrderService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 延时分账定时器
 *
 * @author : Charles
 * @date : 2021/8/3
 */
@Component
@EnableScheduling
public class DelayedSplittingTask {
    @Resource
    private PayOrderService payOrderService;

    @Value("${pay.delayed-splitting-url}")
    private String delayedSplittingUrl;

    /**
     * 延时分账,每一小时执行一次
     * 测试0 0/2
     */
//    @Scheduled(cron = "0 0 * * * ?")
//    public void delayedSplitting() {
//        payOrderService.delayedSplitting(delayedSplittingUrl);
//    }

    /**
     * 优惠券下单查询,下了对应商品,送优惠券  2分钟一次
     */
//    @Scheduled(cron = "0 0/2 * * * ?")
    public void couponCheck() {
        payOrderService.couponCheck();
    }


}
